POST api/PatientRelationships

Creates a new patient relationship or updates an existent patient relationship's information.

Request Information

URI Parameters

None.

Body Parameters

PatientRelationshipModel
NameDescriptionTypeAdditional information
Name

Name of the relationship.

string

None.

SortOrder

Indicates the sort order of this patient relationship in the list.

integer

None.

IsDefault

Indicates if this relationship is the default or not.

boolean

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "sortOrder": 2,
  "isDefault": true,
  "id": "a85ab112-50e7-41d7-b721-41a712f5be87",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<PatientRelationshipModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientRelationships">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">a85ab112-50e7-41d7-b721-41a712f5be87</Id>
  <IsDefault>true</IsDefault>
  <Name>sample string 1</Name>
  <SortOrder>2</SortOrder>
</PatientRelationshipModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'PatientRelationshipModel'.

Response Information

Resource Description

PatientRelationshipModel
NameDescriptionTypeAdditional information
Name

Name of the relationship.

string

None.

SortOrder

Indicates the sort order of this patient relationship in the list.

integer

None.

IsDefault

Indicates if this relationship is the default or not.

boolean

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "sortOrder": 2,
  "isDefault": true,
  "id": "197e4185-4ebe-4000-a7c6-40862e6c64ef",
  "externalId": "sample string 5"
}

application/xml, text/xml

Sample:
<PatientRelationshipModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientRelationships">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">197e4185-4ebe-4000-a7c6-40862e6c64ef</Id>
  <IsDefault>true</IsDefault>
  <Name>sample string 1</Name>
  <SortOrder>2</SortOrder>
</PatientRelationshipModel>